<?php

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
/**
 * Plugin Name: WcagImprovement
 * Description: WcagImprovement plugin for WordPress Yootheme
 * Version: 1.50
 * Author: DJ-Extensions.com
 * Author URI: https://dj-extensions.com
 * Text Domain: WcagImprovement
 * License: https://dj-extensions.com/license.html DJ-Extensions Proprietary Use License
 */
use YOOtheme\Application;
use YOOtheme\Path;

if(!class_exists('WcagImprovement')) {

  define ('WCAGI_VERSION', '1.30');

	require_once __DIR__ . '/helpers/helper.php';
	if( file_exists(__DIR__ . '/helpers/updates.php') ) require_once __DIR__ . '/helpers/updates.php';

  class WcagImprovement {
		function __construct(){
			add_action('after_setup_theme', array($this, 'initModule'));
			add_action( 'plugins_loaded', array( $this, 'init' ) );
		}
		public function init() {
			if( is_admin() ) {
				require __DIR__ . '/includes/cmb2/init.php';
			}
		}
		function initModule(){

			// Check if YOOtheme Pro is loaded
			if (!class_exists(Application::class, false)) {
				return;
			}

			$app = Application::getInstance();

			$root = __DIR__;
			$rootUrl = plugin_dir_url( __FILE__ );

			// set alias
			Path::setAlias('~wcagimprovement', $root);
			Path::setAlias('~wcagimprovement_url', $rootUrl);


			$app->load('~wcagimprovement/module/bootstrap.php');
		}
	}
}
new WcagImprovement();


